Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.filterExtension
Class ODAFilterExprProvider

    java.lang.Object
      org.eclipse.birt.report.model.api.filterExtension.ODAFilterExprProvider

All Implemented Interfaces:
  IODAFilterExprProvider

    public class ODAFilterExprProvider

extends java.lang.Object
implements IODAFilterExprProvider

ODAFilterExprProvider

Constructor Summary
`ODAFilterExprProvider()`

Method Summary
`static ODAFilterExprProvider` | `getInstance()` Returns the singleton instance.
`java.util.List<IFilterExprDefinition>` | `getMappedFilterExprDefinitions(java.lang.String dataSetExtId, java.lang.String dataSourceExtId)` Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.
`boolean` | `supportOdaExtensionFilters()` Indicates if currently under the environment support the ODA extension Filters.
`boolean` | `supportODAFilterPushDown(java.lang.String dataSourceExtId, java.lang.String dataSetExtId)` Indicates if the given data source and data set support the ODA extension Filters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODAFilterExprProvider

    public ODAFilterExprProvider()

Method Detail

### getInstance

    public static ODAFilterExprProvider getInstance()

  Returns the singleton instance.

  Returns:
    the instance

### getMappedFilterExprDefinitions

    public java.util.List<IFilterExprDefinition> getMappedFilterExprDefinitions(java.lang.String dataSetExtId,
                                                                                java.lang.String dataSourceExtId)

  Description copied from interface: `IODAFilterExprProvider`
  Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.

  Specified by:
    `getMappedFilterExprDefinitions` in interface `IODAFilterExprProvider`
  Parameters:
    `dataSetExtId` - oda datasource extension id.
    `dataSourceExtId` - oda dataset extension id.
  Returns:
    List of IFilterExprDefinition instance.

### supportOdaExtensionFilters

    public boolean supportOdaExtensionFilters()

  Description copied from interface: `IODAFilterExprProvider`
  Indicates if currently under the environment support the ODA extension Filters.

  Specified by:
    `supportOdaExtensionFilters` in interface `IODAFilterExprProvider`
  Returns:
    true if supported, false, if not supported.

### supportODAFilterPushDown

    public boolean supportODAFilterPushDown(java.lang.String dataSourceExtId,
                                            java.lang.String dataSetExtId)

  Description copied from interface: `IODAFilterExprProvider`
  Indicates if the given data source and data set support the ODA extension Filters.

  Specified by:
    `supportODAFilterPushDown` in interface `IODAFilterExprProvider`
  Parameters:
    `dataSourceExtId` - the extension id of the data source
    `dataSetExtId` - the extension id of the data set
  Returns:
    true if supported, false, if not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.